-- This a combinational circuit to detect when 
-- there is a parity even error.
-- Output has to be '1' when parity odd and '0' when even
-- It it practically the circuit in the transmitter side.

LIBRARY ieee;             
USE  IEEE.STD_LOGIC_1164.all;

ENTITY parity_checker_9bit IS

	PORT (
		D		: IN STD_LOGIC_VECTOR(8 DOWNTO 0);
		Y 	 	: OUT STD_LOGIC
	);
	
END parity_checker_9bit;


ARCHITECTURE logic_equations OF parity_checker_9bit IS
BEGIN
	Y <=  D(0) XOR D(1) XOR D(2) XOR D(3) XOR D(4) XOR D(5) XOR D(6) XOR D(7) XOR D(8);
   	   	 		 		   	   
END logic_equations;