restart
add wave OSC_CLK_in    
add wave CD

add wave Enable_TX   
add wave TX_IN  
add wave ST          

add wave Serial_out
add wave ET

add wave Enable_RX
add wave Serial_in

add wave RX_OUT
add wave Error 
add wave New_Data 
add wave CLK_1Hz_SQUARED    


-- Start the CLK of a 50 MHz frequency (20 ns period and 50% duty cycle) 
force OSC_CLK_in 0 0, 1 10 ns -repeat 20 ns

run  1.52 us

-- Set other input signals to an non-active level 
run  2.2 us
force CD 0
force Enable_TX 0
force ST 0
force TX_IN 10100011  

force Enable_RX 0
force Serial_in 1


run  1.44 us           


-- Let's apply a Clear Direct  
force CD 1
run  2.87 ms
force CD 0
run  3.66 ms

-- Let's enable the transmitter 

force Enable_TX  1
run  2.6 ms


-- Let's transmit the data  (A3)h
force ST 1
run  125.56 ms
force ST 0

run  150.46 ms

